Index: components/admin/LiveGames.jsx
===================================================================
--- components/admin/LiveGames.jsx	(revision faff3347934f6f886535c1e4519dcea679db385d)
+++ components/admin/LiveGames.jsx	(revision 22367dbd434339cbf017e24df5eff637dc3738f9)
@@ -71,11 +71,11 @@
                     <h5><Calculations action="calculateHandValue" cards={room.playerCards}/></h5>
                   </div>
-                  <p>Player {room.displayName} (${parseInt(room.initialBet) + parseInt(room.sideBet)})</p>
+                  <p>Player {room?.displayName} (${parseInt(room.initialBet) + parseInt(room.sideBet)})</p>
                 </div>
                 <div>
                   <div>
                       <h6><span>Status:</span><br/>{room.status}</h6>
-                      <h6><span>Outcome:</span><br/>{room.outcome}</h6>
-                      <h6><span>Side Bet Outcome:</span><br/>{room.sideBetOutcome}</h6>
+                      { room?.outcome?.length > 0 && <h6><span>Outcome:</span><br/>{room.outcome}</h6> }
+                      { room?.sideBetOutcome?.length > 0 && <h6><span>Side Bet Outcome:</span><br/>{room.sideBetOutcome}</h6> }
                   </div>
                 </div>
@@ -99,6 +99,6 @@
                 <span>Status: </span>{adminInformationState.adminInformation?.liveGames?.roulette?.status}&nbsp;&nbsp;&nbsp;&nbsp;
                 <span>Time to start: </span>{adminInformationState.adminInformation?.liveGames?.roulette?.timeToStart}&nbsp;&nbsp;&nbsp;&nbsp;
-                <span>Ball on number: </span>{adminInformationState.adminInformation?.liveGames?.roulette?.magicNumber}&nbsp;&nbsp;&nbsp;&nbsp;
-                <span>Winning bets: </span>{adminInformationState.adminInformation?.liveGames?.roulette?.winningBets?.join(", ")}
+                { adminInformationState.adminInformation?.liveGames?.roulette?.magicNumber != -1 && <><span>Ball on number: </span>{adminInformationState.adminInformation?.liveGames?.roulette?.magicNumber}&nbsp;&nbsp;&nbsp;&nbsp;</> }
+                { adminInformationState.adminInformation?.liveGames?.roulette?.magicNumber != -1 && <><span>Winning bets: </span>{adminInformationState.adminInformation?.liveGames?.roulette?.winningBets?.join(", ")}</> }
               </h6>
               <h6 style={{marginTop: '2rem'}}><span>Players:</span></h6>
@@ -109,11 +109,11 @@
                   </div>
                   <div>
-                    <h6><span>{player.name} (${player.betAmount})</span></h6>
+                    <h6><span>{player.name} (${player?.betAmount})</span></h6>
                   </div>
                   <div>
-                    <h6><span>Betted on: </span>{player.whichBets.join(", ")}</h6>
+                    { player?.whichBets?.length > 0 && <h6><span>Betted on: </span>{player?.whichBets?.join(", ")}</h6> }
                   </div>
                   <div>
-                    <h6><span>Outcome: {player.outcome}</span></h6>
+                    { adminInformationState.adminInformation?.liveGames?.roulette?.magicNumber != -1 && player?.whichBets?.length > 0 && <h6><span>Outcome: </span>{player.outcome}</h6> }
                   </div>
                 </div>
@@ -129,7 +129,7 @@
                   <span>Round: </span>{table?.round}/4&nbsp;&nbsp;&nbsp;&nbsp;
                   <span>Started: </span>{table?.started}&nbsp;&nbsp;&nbsp;&nbsp;
-                  <span>Player on turn: </span>{table?.turnIdx}&nbsp;&nbsp;&nbsp;&nbsp;
-                  <span>Pot: </span>{table?.pot}&nbsp;&nbsp;&nbsp;&nbsp;
-                  <span>Winners: </span>{table?.winners?.map(e=>e.displayName)?.join(", ")}
+                  <span>Player on turn: </span>{table.players[table.turnIdx]?.displayName ?? '-'}&nbsp;&nbsp;&nbsp;&nbsp;
+                  <span>Pot: </span>${table?.pot}&nbsp;&nbsp;&nbsp;&nbsp;
+                  { table?.winners?.length > 0 && <><span>Winners: </span>{table?.winners?.map(e=>e?.displayName)?.join(", ")}</> }
                 </h6>
                 <div className="cardsOnTable" style={{marginTop: '2rem'}}>
@@ -142,5 +142,5 @@
                   <div key={player.id} className="playerInLivePokerGame">
                     <div>
-                      <h6><span>Player {player.displayName} (${player.betAmount})</span></h6>
+                      <h6><span>Player {player?.displayName} (${player.betAmount})</span></h6>
                     </div>
                     <div className="cards">
@@ -150,5 +150,5 @@
                     </div>
                     <div>
-                      <h6><span>Hand: </span><Calculations action="getBestHandDetails" cards={player.cards} cards2={table.cards}/></h6>
+                      { table?.cards?.length > 0 && <h6><span>Hand: </span><Calculations action="getBestHandDetails" cards={player.cards} cards2={table.cards}/></h6> }
                     </div>
                   </div>
